=== modified file 'bzrlib/tests/test_workingtree.py'
--- bzrlib/tests/test_workingtree.py	2008-09-30 20:30:04 +0000
+++ bzrlib/tests/test_workingtree.py	2008-10-01 14:14:38 +0000
@@ -83,20 +83,20 @@
 
     def test_open(self):
         tree = self.make_branch_and_tree('.')
-        open_direct = tree.open('.')
+        open_direct = workingtree.WorkingTree.open('.')
         self.assertEqual(tree.basedir, open_direct.basedir)
-        open_no_args = tree.open()
+        open_no_args = workingtree.WorkingTree.open()
         self.assertEqual(tree.basedir, open_no_args.basedir)
 
     def test_open_containing(self):
         tree = self.make_branch_and_tree('.')
-        open_direct, relpath = tree.open_containing('.')
+        open_direct, relpath = workingtree.WorkingTree.open_containing('.')
         self.assertEqual(tree.basedir, open_direct.basedir)
         self.assertEqual('', relpath)
-        open_no_args, relpath = tree.open_containing()
+        open_no_args, relpath = workingtree.WorkingTree.open_containing()
         self.assertEqual(tree.basedir, open_no_args.basedir)
         self.assertEqual('', relpath)
-        open_subdir, relpath = tree.open_containing('subdir')
+        open_subdir, relpath = workingtree.WorkingTree.open_containing('subdir')
         self.assertEqual(tree.basedir, open_subdir.basedir)
         self.assertEqual('subdir', relpath)
 

